# CarefulDatabaseRunner Class Reference
[Spring-like webflow tools]

Inheritance diagram for CarefulDatabaseRunner:
[legend]

List of all members.

## Public Member Functions

| __construct (EditorCommand $command)
| run (Prototyped $subject, Form $form, HttpRequest $request)
| commit ()
| rollback ()
| __destruct ()

## Private Attributes

| $command = null
| $db = null
| $running = false

## Detailed Description

Definition at line 15 of file CarefulDatabaseRunner.class.php.

## Constructor & Destructor Documentation

CarefulDatabaseRunner::__construct | ( | EditorCommand $ | command | ) | `[final]`

Definition at line 22 of file CarefulDatabaseRunner.class.php.

CarefulDatabaseRunner::__destruct | ( |  | ) |

Definition at line 86 of file CarefulDatabaseRunner.class.php.

## Member Function Documentation

CarefulDatabaseRunner::commit | ( |  | ) |

Returns:
  CarefulDatabaseRunner

Implements CarefulCommand.

Definition at line 58 of file CarefulDatabaseRunner.class.php.

CarefulDatabaseRunner::rollback | ( |  | ) |

Returns:
  CarefulDatabaseRunner

Implements CarefulCommand.

Definition at line 71 of file CarefulDatabaseRunner.class.php.

CarefulDatabaseRunner::run | ( | Prototyped $ | subject,
|  | Form $ | form,
|  | HttpRequest $ | request |
| ) |  |  |

Exceptions:

  | BaseException |

Returns:
  ModelAndView

Implements EditorCommand.

Definition at line 31 of file CarefulDatabaseRunner.class.php.

References DBPool::getByDao(), Assert::isFalse(), Assert::isTrue(), and Assert::isUnreachable().

Here is the call graph for this function:

## Member Data Documentation

CarefulDatabaseRunner::$command = null`[private]`

Definition at line 17 of file CarefulDatabaseRunner.class.php.

CarefulDatabaseRunner::$db = null`[private]`

Definition at line 18 of file CarefulDatabaseRunner.class.php.

CarefulDatabaseRunner::$running = false`[private]`

Definition at line 20 of file CarefulDatabaseRunner.class.php.

The documentation for this class was generated from the following file:

- main/Flow/CarefulDatabaseRunner.class.php